summaryrefslogtreecommitdiffstats
path: root/development/poedit
diff options
context:
space:
mode:
author Niklas Nille Åkerström2010-05-12 23:28:46 +0200
committer David Somero2010-05-12 23:28:46 +0200
commit9e4cbc24e8e2bbfad41ab464f2cb92464e61ada8 (patch)
tree8f843a1579edc0e4c37ddce05a0763bff4f1d844 /development/poedit
parent3b12e4271b0a2577c57a4e2bc93fc25c2e2f2fce (diff)
downloadslackbuilds-9e4cbc24e8e2bbfad41ab464f2cb92464e61ada8.tar.gz
development/poedit: Added to 12.2 repository
Diffstat (limited to 'development/poedit')
-rw-r--r--development/poedit/README8
-rw-r--r--development/poedit/doinst.sh7
-rw-r--r--development/poedit/poedit-gtkspell.patch.gzbin0 -> 603 bytes
-rw-r--r--development/poedit/poedit.SlackBuild83
-rw-r--r--development/poedit/poedit.info8
-rw-r--r--development/poedit/slack-desc19
6 files changed, 125 insertions, 0 deletions
diff --git a/development/poedit/README b/development/poedit/README
new file mode 100644
index 0000000000..17431f5164
--- /dev/null
+++ b/development/poedit/README
@@ -0,0 +1,8 @@
+Poedit is cross-platform gettext catalogs (.po files) editor.
+It is built with wxWidgets toolkit and can run on any platform
+supported by it.
+It aims to provide more convenient approach to editing catalogs
+than launching vi and editing the file by hand.
+It also has support for spellchecking (gtkspell/aspell).
+
+Requires: wxGTK available at SlackBuilds.org.
diff --git a/development/poedit/doinst.sh b/development/poedit/doinst.sh
new file mode 100644
index 0000000000..0acbacff73
--- /dev/null
+++ b/development/poedit/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/development/poedit/poedit-gtkspell.patch.gz b/development/poedit/poedit-gtkspell.patch.gz
new file mode 100644
index 0000000000..52ea7cf652
--- /dev/null
+++ b/development/poedit/poedit-gtkspell.patch.gz
Binary files differ
diff --git a/development/poedit/poedit.SlackBuild b/development/poedit/poedit.SlackBuild
new file mode 100644
index 0000000000..1a35209222
--- /dev/null
+++ b/development/poedit/poedit.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for poedit
+#
+# Copyright 2008 Niklas "Nille" Åkerström
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=poedit
+VERSION=1.4.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+# Patch to fix program crash when using localized LANG bug #276
+zcat $CWD/poedit-gtkspell.patch.gz | patch -p0 --verbose --backup --suffix=.orig
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux \
+
+make
+make install-strip DESTDIR=$PKG
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING NEWS README TODO\
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/poedit/poedit.info b/development/poedit/poedit.info
new file mode 100644
index 0000000000..c62748f9de
--- /dev/null
+++ b/development/poedit/poedit.info
@@ -0,0 +1,8 @@
+PRGNAM="poedit"
+VERSION="1.4.2"
+HOMEPAGE="http://www.poedit.net"
+DOWNLOAD="http://downloads.sourceforge.net/poedit/poedit-1.4.2.tar.gz"
+MD5SUM="5aca5ed4c8c81e0f10efb20ac3a191ac"
+MAINTAINER="Niklas 'Nille' Åkerström"
+EMAIL="nille.kungen[AT]gmail.com"
+APPROVED="dsomero"
diff --git a/development/poedit/slack-desc b/development/poedit/slack-desc
new file mode 100644
index 0000000000..2718c9abb6
--- /dev/null
+++ b/development/poedit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+poedit: Poedit (cross-platform gettext catalogs editor)
+poedit:
+poedit: Poedit is an cross-platform gettext catalogs (.po files) editor.
+poedit: It is built with wxWidgets toolkit and can run on any platform
+poedit: supported by it.
+poedit: It aims to provide more convenient approach to editing catalogs
+poedit: than launching vi and editing the file by hand.
+poedit: It also has support for spellchecking (gtkspell).
+poedit:
+poedit: Homepage: http://www.poedit.net
+poedit:
+poedit: